SSS_USERMOD(8)

NAME
sss_usermod - modifica el compte d'un usuari

SYNOPSIS

sss_usermod [OPCIONS] USUARI

DESCRIPCIÓ

sss_usermod modifica el compte especificat amb USUARI per reflectir els canvis que s'especifiquen a la línia d'ordres.

OPCIONS

-c,--gecos COMMENTARI
    Qualsevol cadena de text amb la descripció de l'usuari. Sovint s'utilitza com a camp per al nom complet de l'usuari.

-h,--home DIRECTORI_INICIAL
    El directori inicial del compte de l'usuari.

-s,--shell SHELL
    El shell d'inici de sessió de l'usuari.

-a,--append-group GRUPS
    Annexa aquest usuari als grups que s'especifiquen amb el paràmetre dels GRUPS. El paràmetre dels GRUPS és una llista delimitada per comes dels noms dels grups.

-r,--remove-group GRUPS
    Remove this user from groups specified by the GROUPS parameter.

-l,--lock
    Bloqueja el compte de l'usuari. L'usuari no podrà iniciar la sessió.

-u,--unlock
    Desbloqueja el compte de l'usuari.

-Z,--selinux-user SELINUX_USER
    L'usuari de SELinux per a l'inici de sessió de l'usuari.

--addattr NOM_ATRIBUT_VALOR
    Afegeix una parella atribut/valor. El format és nomatribut=valor.

--setattr NOM_ATRIBUT_VALOR
    Estableix un atribut a la parella nom/valor. El format és nomatribut=valor. Per als atributs amb múltiples valors, l'ordre substitueix els valors ja presents

--delattr NOM_ATRIBUT_VALOR
    Elimina una parella atribut/valor. El format és nomatribut=valor.

-?,--help
    Mostra el missatge d'ajuda i surt.

EL DOMINI LOCAL

Per a un funcionament correcte, s'ha de crear un domini amb “id_provider=local” i l'SSSD ha d'estar en execució.

L'administrador pot ser que vulgui utilitzar els usuaris locals de l'SSSD en lloc dels usuaris tradicionals d'UNIX en els casos en què es requereixi la imbricació dels grups (vegeu sss_groupadd(8)). Els usuaris locals també són útils per provar i desplegar l'SSSD sense haver de desplegar tot un servidor remot. Les eines sss_user* i sss_group* utilitzen l'emmagatzematge LDB local per emmagatzemar els usuaris i els grups.

VEGEU TAMBÉ

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-files(5), sssd-sudo(5), sssd-secrets(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(8), sss_ssh_knownhostsproxy(8), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

The SSSD upstream - https://pagure.io/SSSD/sssd/